<?php

/*
function button_shortcode1() {
    return '<a href="http://twitter.com/filipstefansson" class="twitter-button">Follow me on Twitter!</a>';
}
add_shortcode('button1', 'button_shortcode1'); 


function caption_shortcode1( $atts, $content = null ) {
	return '<span class="caption">' . $content . '</span>';
}
add_shortcode( 'caption1', 'caption_shortcode1' );
*/

/* ----------------------------GENERIC FUNCTION---------------------------------*/

function ufs_get_the_ip() {
    if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])) {
        return $_SERVER["HTTP_X_FORWARDED_FOR"];
    }
    elseif (isset($_SERVER["HTTP_CLIENT_IP"])) {
        return $_SERVER["HTTP_CLIENT_IP"];
    }
    else {
        return $_SERVER["REMOTE_ADDR"];
    }
}

/*--------------------------------------------------------------------------------------
    *
    * Parse data-attributes for shortcodes
    *
    *-------------------------------------------------------------------------------------*/
  function ufs_parse_data_attributes( $data ) {

    $data_props = '';

    if( $data ) {
      $data = explode( '|', $data );

      foreach( $data as $d ) {
        $d = explode( ',', $d );
        $data_props .= sprintf( 'data-%s="%s" ', esc_html( $d[0] ), esc_attr( trim( $d[1] ) ) );
      }
    }
    else { 
      $data_props = false;
    }
    return $data_props;
  }
 
/* ----------------------------VARIOUS :: PROTECT EMAIL---------------------------------*/
function ufs_munge_mail_func( $atts , $content=null ) {
  
    for ($i = 0; $i < strlen($content); $i++) $encodedmail .= "&#" . ord($content[$i]) . ';'; 
  
    return '<a href="mailto:'.$encodedmail.'">'.$encodedmail.'</a>';
  
}
add_shortcode('ufs_mailto', 'ufs_munge_mail_func');

/* ----------------------------PLUXML :: STATS INCLUDE---------------------------------*/
function ufs_include_stats_func ( $atts, $content = null ) {
	include_once(PLX_ROOT.'plugins/spxusefulshortcodes/lib/class.spx.stats.php');
	$spxStats = spxStats::getInstance();
	return;
}
add_shortcode( 'ufs_include_stats', 'ufs_include_stats_func' );	

/* ----------------------------PLUXML :: STATS DISPLAY---------------------------------*/
function ufs_display_stats_func ( $atts, $content = null ) {
	include_once(PLX_ROOT.'plugins/spxusefulshortcodes/lib/class.spx.stats.php');
	$spxStats = spxStats::getInstance();
	
	extract(shortcode_atts(array(
		'format' => '
		<ul class="unstyled-list" >
			<li>Total des pages vues: #totalView</li>
			<li>Pages vues aujourd\'hui:  #todayView</li>
			<li>Visiteur#pluriel connecté#pluriel :  #onlinevisitors</li>
			<li>Nombre de visiteurs: #totalVisitors</li>
		</ul>'
		
	), $atts));
	
	$out = $format;
	$out = str_replace('#totalView',$spxStats->TotalViews(),$out);
	$out = str_replace('#todayView',$spxStats->TodayViews(),$out);	
	$out = str_replace('#pluriel',$spxStats->Pluriel(),$out);	
	$out = str_replace('#onlinevisitors',$spxStats->OnlineVisitors(),$out);	
	$out = str_replace('#totalVisitors',$spxStats->TotalVisitors(),$out);	
	
	return $out;
}

add_shortcode( 'ufs_display_stats', 'ufs_display_stats_func' );	
		
/* ----------------------------PLUXML :: STATIC URL---------------------------------*/	
// [ufs_staticUrl id=001]
function ufs_staticUrl_func ( $atts, $content = null ) {
	$plxMotor = plxMotor::getInstance();
	
	extract(shortcode_atts(array(
		'id' => '',
	), $atts));
	
	if ($id =='') return '#';
	
	$type='relatif';
	# Recupération ID URL
	$staticId = $id;
	$staticIdFill = str_pad($staticId,3,'0',STR_PAD_LEFT);
	if(!empty($staticId) AND isset($plxMotor->aStats[ $staticIdFill ]))
	return  $plxMotor->urlRewrite('?static'.$staticId.'/'.$plxMotor->aStats[ $staticIdFill ]['url']);

}

add_shortcode( 'ufs_staticUrl', 'ufs_staticUrl_func' );


/* ----------------------------CONTACT FORM---------------------------------*/
function ufs_contact_form_func( $atts ) {
	global $plxShow;
	$plxShow = plxShow::getInstance();
	$plxShow->plxMotor->plxCapcha = new plxCapcha();
	
    // This line of comment, too, holds the place of the brilliant yet simple shortcode that creates our contact form. And yet you're still wasting your time to read this comment. Bravo.
	extract( shortcode_atts( array(
    // if you don't provide an e-mail address, the shortcode will pick the e-mail address of the admin:
    "email" => "",
	"email_cc" => "",
	"email_bcc" => "",
	
    "subject" => "",
    "label_name" => "Your Name",
    "label_email" => "Your E-mail Address",
    "label_subject" => "Subject",
    "label_message" => "Your Message",
    "label_submit" => "Submit",
    // the error message when at least one of the required fields are empty:
    "error_empty" => "Please fill in all the required fields.",
    // the error message when the e-mail address is not valid:
    "error_noemail" => "Please enter a valid e-mail address.",
	"error_sendemail" => "There is an error, sorry",
	
	"error_antispam" => "There is an error antispam, sorry",
	"captcha" => "true",
	"label_antispam" => "Antispam",
    // and the success message when the e-mail is sent:
    "success" => "Thanks for your e-mail! We'll get back to you as soon as we can.",
	
	), $atts ) );
	
	// if the <form> element is POSTed, run the following code
	if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {
		$error = false;
		// set the "required fields" to check
		$required_fields = array( "your_name", "email", "message", "subject" );
	 
		// this part fetches everything that has been POSTed, sanitizes them and lets us use them as $form_data['subject']
		foreach ( $_POST as $field => $value ) {
			if ( get_magic_quotes_gpc() ) {
				$value = stripslashes( $value );
			}
			$form_data[$field] = strip_tags( $value );
		}
	 
		// if the required fields are empty, switch $error to TRUE and set the result text to the shortcode attribute named 'error_empty'
		foreach ( $required_fields as $required_field ) {
			$value = trim( $form_data[$required_field] );
			if ( empty( $value ) ) {
				$error = true;
				$result = $error_empty;
			}
		}
	 
		// and if the e-mail is not valid, switch $error to TRUE and set the result text to the shortcode attribute named 'error_noemail'
		if (! filter_var($form_data['email'], FILTER_VALIDATE_EMAIL)) {
			$error = true;
			$result = $error_noemail;
		}
		
		if($captcha == "true" AND $_SESSION['capcha'] != sha1($_POST['rep'])){
			$error = true;
			$result = $error_antispam;
		}
	 
		// but if $error is still FALSE, put together the POSTed variables and send the e-mail!
		if ( $error == false ) {
			
			$email_subject = $form_data['subject'];
			// get the message from the form and add the IP address of the user below it
			$email_message = $form_data['message'] . "\n\nIP: " . ufs_get_the_ip();
			
			if(plxUtils::sendMail($form_data['your_name'],$form_data['email'],$email,$email_subject,$email_message,'text',$email_cc,$email_bcc)) {
				// and set the result text to the shortcode attribute named 'success'
				$result = $success;
				// ...and switch the $sent variable to TRUE
				$sent = true;
			}else{
				$result = $error_sendemail;
			}
			
		}
	}
	
	if ( $result != "" ) {
		if ($error == true)
			$info = '<div class="alert red">' . $result . '</div>';
		else
			$info = '<div class="alert blue">' . $result . '</div>';
	}
	
	
	
	ob_start();
	$plxShow->capchaQ();
	$capcha = ob_get_clean();
	
	
	// anyways, let's build the form! (remember that we're using shortcode attributes as variables with their names)
	$email_form = '<form class="contact-form" method="post" action="#form">
		<div>
			<label for="cf_name">' . $label_name . ':</label>
			<input type="text" name="your_name" id="cf_name" size="50" maxlength="50" value="' . $form_data['your_name'] . '" />
		</div>
		<div>
			<label for="cf_email">' . $label_email . ':</label>
			<input type="text" name="email" id="cf_email" size="50" maxlength="50" value="' . $form_data['email'] . '" />
		</div>
		<div>
			<label for="cf_subject">' . $label_subject . ':</label>
			<input type="text" name="subject" id="cf_subject" size="50" maxlength="50" value="' . $subject . $form_data['subject'] . '" />
		</div>
		<div>
			<label for="cf_message">' . $label_message . ':</label>
			<textarea name="message" id="cf_message" cols="50" rows="15">' . $form_data['message'] . '</textarea>
		</div>
		';
	if($captcha == "true") {
	$email_form .='
		<div>
			<label for="id_rep"><strong>' . $label_antispam. '</strong></label>
			'.$capcha.'
			<input id="id_rep" name="rep" type="text" size="2" maxlength="1" style="width: auto; display: inline;" autocomplete="off" />
		</div>
		';
	}
	$email_form .='
		<div>
			<input type="submit" value="' . $label_submit . '" name="send" id="cf_send" />
		</div>
		
	</form>';
	
	if ( $sent == true ) {
		return $info;
	} else {
		return $info . $email_form;
	}

 }
add_shortcode( 'ufs_contact', 'ufs_contact_form_func' );

/* ----------------------------PLUXML :: SITEMAP---------------------------------*/	
function ufs_sitemap_func( $atts ) {
	
	extract( shortcode_atts( array(
    "l_categories" => "Categories",
    "l_articles" => "Articles",
	"l_static" => "Pages statiques",
    
	), $atts ) );
	
	$plxMotor = plxMotor::getInstance();
	$out='';
	$out.='<ul>';
       
			$out.='<li><a href="#">'.$l_categories.'</a>';
				$out.='<ul>';
					
					# Les catégories
					foreach($plxMotor->aCats as $cat_num => $cat_info) {
						if($cat_info['active']==1 AND $cat_info['menu']=='oui' AND ($cat_info['articles']!=0 OR $plxMotor->aConf['display_empty_cat'])) {
							$out.="<li>";
							$out.= "<a href='".$plxMotor->urlRewrite("?categorie".intval($cat_num)."/".$cat_info['url'])."'>".$cat_info['name']."</a>";	
							$out.= "</li>";
							
						}
					
					}
					
				$out.='</ul>';
			$out.='</li>';
			$out.='<li><a href="#">'.$l_articles.'</a>';
				$out.='<ul>';
					
					# Les articles
					if($aFiles = $plxMotor->plxGlob_arts->query('/^[0-9]{4}.(?:[0-9]|home|,)*(?:'.$plxMotor->activeCats.'|home)(?:[0-9]|home|,)*.[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/','art','rsort', 0, false, 'before')) {
					$plxRecord_arts = false;
					$array=array();
					foreach($aFiles as $k=>$v) { # On parcourt tous les fichiers
							$array[ $k ] = $plxMotor->parseArticle(PLX_ROOT.$plxMotor->aConf['racine_articles'].$v);
					}
					# On stocke les enregistrements dans un objet plxRecord
					$plxRecord_arts = new plxRecord($array);
					if($plxRecord_arts) {
							# On boucle sur nos articles
							while($plxRecord_arts->loop()) {
									$num = intval($plxRecord_arts->f('numero'));
									$out.= "<li>";
									$out.= "<a href='".$plxMotor->urlRewrite("?article".$num."/".plxUtils::strCheck($plxRecord_arts->f('url')))."'>".plxUtils::strCheck(plxUtils::strCut($plxRecord_arts->f('title'),60))."</a>";	
									$out.= "</li>";
							}
					}
}
					
				$out.='</ul>';
			$out.='</li>';
			
			$out.='<li><a href="#">'.$l_static.'</a>';
				$out.='<ul>';
					# Les pages statiques
					foreach($plxMotor->aStats as $stat_num => $stat_info) {
						if($stat_info['active']==1 AND $stat_num!=$plxMotor->aConf['homestatic']) {
							$out.="<li><a href='".$plxMotor->urlRewrite("?static".$stat_num."/".plxUtils::strCheck($stat_info["url"]))."'>".$stat_info["name"]."</a></li>";	
						}
					
					}
				
				$out.='</ul>';
			$out.='</li>';
		$out.='</ul>';

	return $out;
}

add_shortcode( 'ufs_sitemap', 'ufs_sitemap_func' );

/* ----------------------------PLUXML :: RECOMMEND ARTICLES---------------------------------*/
function ufs_recommendarticles_func( $atts ) {
	extract( shortcode_atts( array(
    // if you don't provide an e-mail address, the shortcode will pick the e-mail address of the admin:
    'L_READALSO'	=> '<h2>À lire également</h2>',
	'format'		=> '<li>#art_date : <a href="#art_url" title="#art_title">#art_title</a></li>',
	'nb_arts' => '7',
	), $atts ) );
	
	global $plxShow;
	$plxShow = plxShow::getInstance();
	$plxMotor = plxMotor::getInstance();
	
	# paramétrage
	$nb_arts = intval($nb_arts); 
	// $format='<li>#art_date : <a href="#art_url" title="#art_title">#art_title</a></li>';
	
	$out = "";
	
	# recherche des catégories actives de l'article en cours de lecture
	$cat_ids = $plxShow->artActiveCatIds();
	$cat_ids = ($cat_ids ? implode('|', $cat_ids) : '');
	# recherche de tous les articles publiés dans les catégories actives de l'article en cours de lecture
	$plxGlob_arts = clone $plxMotor->plxGlob_arts;
	$motif = '/^[0-9]{4}.((?:[0-9]|home|,)*(?:'.str_pad($cat_ids,3,'0',STR_PAD_LEFT).')(?:[0-9]|home|,)*).[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/';
	$aFiles = $plxGlob_arts->query($motif,'art','rsort',0,9999,'before');
	if($aFiles and sizeof($aFiles)>1) {
		$arts = array();
		# recherche aléatoire des articles à recommander
		$random = array_rand($aFiles, ($nb_arts > sizeof($aFiles) ? sizeof($aFiles) : $nb_arts) );
		foreach($random as $numart) {
			# on ne liste pas l'article en cours de lecture 
			if($aFiles[$numart] <> basename($plxMotor->plxRecord_arts->f('filename'))) {
				$art = $plxMotor->parseArticle(PLX_ROOT.$plxMotor->aConf['racine_articles'].$aFiles[$numart]);
				$row = str_replace('#art_url',$plxMotor->urlRewrite('?article'.intval($art['numero']).'/'.$art['url']),$format);	
				$row = str_replace('#art_title',plxUtils::strCheck($art['title']),$row);	
				$row = str_replace('#art_date',plxDate::formatDate($art['date'],'#num_day/#num_month/#num_year(4)'),$row);	
				$author = plxUtils::getValue($plxMotor->aUsers[$art['author']]['name']);
				$row = str_replace('#art_author',plxUtils::strCheck($author),$row);
				$arts[] = $row;		
			}
		}
		# affichage des résultats
		if($arts) {
			$out.= $L_READALSO;
			$out.= '<ul>'.implode('', $arts).'</ul>';
		}
	}
	
	return $out;
}

add_shortcode( 'ufs_recommendarticles', 'ufs_recommendarticles_func' );

/* ----------------------------PLUXML :: RECENT POST---------------------------------*/
function ufs_recent_post_func ( $atts, $content = null ) {
	// lastArtList($format='<li><a href="#art_url" title="#art_title">#art_title</a></li>',$max=5,$cat_id='',$ending='', $sort='rsort')
	
	$plxMotor = plxMotor::getInstance();
	
	$sout = "";
	
	$format='<li class="clearfix" ><a class="rpwe-img" href="#art_url" title="#art_title" rel="bookmark" >#art_thumbnail</a><h3 class="rpwe-title"><a href="#art_url" title="#art_title" rel="bookmark" >#art_title</a></h3><time class="rpwe-time published" datetime="#date_time">#date</time></li>';
	$max=5;
	$cat_id='';
	$ending='';
	$sort='rsort';
	$motif = '/^[0-9]{4}.(?:[0-9]|home|,)*(?:'.$plxMotor->activeCats.'|home)(?:[0-9]|home|,)*.[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/';
	$plxGlob_arts = clone $plxMotor->plxGlob_arts;
	if($aFiles = $plxGlob_arts->query($motif,'art',$sort,0,$max,'before')) {
		foreach($aFiles as $v) { # On parcourt tous les fichiers
			$art = $plxMotor->parseArticle(PLX_ROOT.$plxMotor->aConf['racine_articles'].$v);
			$num = intval($art['numero']);
			$date = $art['date'];
			if(($plxMotor->mode == 'article') AND ($art['numero'] == $plxMotor->cible))
				$status = 'active';
			else
				$status = 'noactive';
			# Mise en forme de la liste des catégories
			$catList = array();
			$catIds = explode(',', $art['categorie']);
			foreach ($catIds as $idx => $catId) {
				if(isset($plxMotor->aCats[$catId])) { # La catégorie existe
					$catName = plxUtils::strCheck($plxMotor->aCats[$catId]['name']);
					$catUrl = $plxMotor->aCats[$catId]['url'];
					$catList[] = '<a title="'.$catName.'" href="'.$plxMotor->urlRewrite('?categorie'.intval($catId).'/'.$catUrl).'">'.$catName.'</a>';
				} else {
					$catList[] = L_UNCLASSIFIED;
				}
			}
			
			
			$date = plxDate::formatDate($art["date"],'#num_day #month #num_year(4)');
			$datetime = plxDate::formatDate($art["date"],'#time');
			
			# On modifie nos motifs
			$row = str_replace('#art_id',$num,$format);
			$row = str_replace('#art_url',$plxMotor->urlRewrite('?article'.$num.'/'.$art['url']),$row);
			$row = str_replace('#art_title',plxUtils::strCheck($art['title']),$row);
			$row = str_replace('#art_thumbnail', '<img class="rpwe-alignleft rpwe-thumb" src="#img_url" alt="#img_alt" title="#img_title" />',$row);
			$theme = PLX_PLUGINS.'spxusefulshortcodes/';
			if ($art['thumbnail']!=""){
				$row = str_replace('#img_url',$theme."/imageResize2.php?w=45&h=45&transform=reducecrop&color=0&file=../../".$art['thumbnail'],$row);
			}else{
				$row = str_replace('#img_url',$theme."img/news-icon.jpg",$row);
			}
			
			$row = str_replace('#img_title',$art['thumbnail_title'],$row);
			$row = str_replace('#img_alt',$art['thumbnail_alt'],$row);
			$row = str_replace('#date_time',$datetime,$row);
			$row = str_replace('#date',$date,$row);
			
			$sout.= $row;
		}
	}
	
	return $sout;
}

add_shortcode( 'ufs_recent_post', 'ufs_recent_post_func' );


/* ----------------------------PLUXML :: BREADCRUMB---------------------------------*/
function ufs_formatLink($href, $name, $link=false, $title='', $class='') {
	if($link) {
		$title = $title=='' ? $name : $title;
		$class = $class=='' ? '' : ' class="'.$class.'"';
		return '<a href="'.$href.'" title="'.plxUtils::strCheck($title).'"'.$class.'>'.plxUtils::strCheck($name).'</a>';
	} else
		return '<span class="here" style="font-weight:bold">'.$name.'</span>';
}

function ufs_breadcrumb_func( $atts ) {
	
	extract( shortcode_atts( array(
    // if you don't provide an e-mail address, the shortcode will pick the e-mail address of the admin:
    'l_here'			=> 'Vous êtes ici : ',
	'l_homepage'		=> 'accueil',
	'l_static'			=> 'page',
	'l_article'			=> 'article',
	'l_archives'		=> 'archives',
	'l_tag'				=> 'mot clé',
	'l_category'		=> 'catégorie',
	'l_page'			=> 'page',
	'l_error'			=> 'erreur',
	'l_blog'			=> 'blog',
	'separator' => '<span class="sep">&nbsp;&#187;&nbsp;</span>'
	
	), $atts ) );
	
	global $plxShow;
	$plxShow = plxShow::getInstance();
	# pages
	preg_match("/\/?page([0-9]+)$/",$plxShow->plxMotor->get,$pages);
	# home
	if($plxShow->plxMotor->get=="blog") {
		$url = "?blog";
		$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $l_blog, true, $l_blog.$plxShow->plxMotor->aConf["title"], "first");
	} else {
		$url = "?";
		$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $l_homepage, true, $l_homepage.$plxShow->plxMotor->aConf["title"], "first");
	}
	# traitement des différents modes
	switch($plxShow->mode()) {
		case "categorie":
			$breadcrumb[] = $l_category;
			$id = $plxShow->plxMotor->cible;
			$name = $plxShow->plxMotor->aCats[$id]["name"];
			$url = "?categorie".intval($id)."/".$plxShow->plxMotor->aCats[$id]["url"];
			$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $name, isset($pages[1]));
			break;
		case "static":
			$id = $plxShow->plxMotor->cible;
			if($id!=$plxShow->plxMotor->aConf["homestatic"]) {
				$breadcrumb[] = $l_static;
				$group = $plxShow->plxMotor->aStats[$id]["group"];
				if(!empty($group)) $breadcrumb[] = $group;
				$name = $plxShow->plxMotor->aStats[$id]["name"];
				$url = "?static".intval($id)."/".$plxShow->plxMotor->aStats[$id]["url"];
				$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $name);
			}
			break;
		case "tags":
			$breadcrumb[] = $l_tag;
			$id = $plxShow->plxMotor->cible;
			$name = $plxShow->plxMotor->cibleName;
			$url = "?tag/".$id;
			$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $name, isset($pages[1]), "'.$l_tag.' ".$id);
			break;
		case "archives":
			$breadcrumb[] = $l_archives;
			preg_match("/^(\d{4})(\d{2})?(\d{2})?/",$plxShow->plxMotor->cible, $capture);
			# year
			if(!empty($capture[1])) {
				$url = "?archives/".$capture[1];
				$p = isset($capture[2]) OR isset($pages[1]);
				$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $capture[1], $p, $l_archives.$capture[1]);
			}
			# month
			if(!empty($capture[2])) {
				$name = plxDate::getCalendar("month", $capture[2]);
				$url .= "/".$capture[2];
				$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $name, isset($pages[1]));
			}
			break;
		case "article":
			$breadcrumb[] = $l_article;
			$id = $plxShow->plxMotor->plxRecord_arts->f("numero");
			$name = $plxShow->plxMotor->plxRecord_arts->f("title");
			$url = "?article".intval($id)."/".$plxShow->plxMotor->plxRecord_arts->f("url");
			$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $name);
			break;
		case "erreur":
			$breadcrumb[] = $l_error;
			break;
		default:
			if(isset($plxShow->plxMotor->aStats[$plxShow->plxMotor->cible])) {
				$breadcrumb[] = $l_static;
				$breadcrumb[] = ufs_formatLink("", $plxShow->plxMotor->aStats[$plxShow->plxMotor->cible]["name"]);
			}
	}

	# n° de page
	if(isset($pages[1])) {
		$url .= "/page".$pages[1];
		$breadcrumb[] = ufs_formatLink($plxShow->plxMotor->urlRewrite($url), $l_page.$pages[1]);
	}

	$sout=  $l_here;
	$sout.= implode($separator, $breadcrumb);
	return $sout;
}

add_shortcode( 'ufs_breadcrumb', 'ufs_breadcrumb_func' );

/* ----------------------------PLUXML :: ARCHIVE---------------------------------*/

function ufs_display_archive($v,$format) {
	$out ='';
	foreach($v as $art) {
		$row = str_replace('#art_date', plxDate::formatDate($art['date'],'#num_day/#num_month/#num_year(4)'), $format);
		$row = str_replace('#art_link', '<a href="'.$art['url'].'">'.plxUtils::strCheck($art['title']).'</a>', $row);
		$row = str_replace('#art_author', plxUtils::strCheck($art['author']), $row);
		$out .= '<li>'.$row.'</li>';
	}
	return $out;
}

function ufs_archive_func( $atts ) {
	extract( shortcode_atts( array(
    // if you don't provide an e-mail address, the shortcode will pick the e-mail address of the admin:
    'excludeCats'			=> '', # use id|id...
	'sort'		=> 'desc', # critère de tri par date (desc, asc)
	'sortby'			=> 'by_title', # type d'affichage (by_year, by_category, by_author, by_title)
	'format'			=> '#art_date : #art_link par #art_author',
	'noarticle'		=> 'Désolé mais il n\'y a pas d\'article.',
	'class'				=> 'allarchive',
	
	), $atts ) );
	
	$aexcludeCats = explode ("|",$excludeCats); # tableau des categories exclues de l'affichage
	
	$plxMotor = plxMotor::getInstance();
	
	#art_date : #art_link par #art_author	
		$array=array();
		$plxGlob_arts = clone $plxMotor->plxGlob_arts;
		if($files = $plxGlob_arts->query('/^[0-9]{4}.[home|'.$plxMotor->activeCats.',]*.[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/','art',$sort,0,false,'before')) {
			foreach($files as $filename) {
				if(preg_match('/[0-9]{4}.((?:[0-9]|home|,)*(?:'.$plxMotor->activeCats.'|home)(?:[0-9]|home|,)*).[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/',$filename,$capture)){
					$catIds=explode(',',$capture[1]);
					foreach($catIds as $catId) {
						if(!in_array($catId, $aexcludeCats)) {
							$tmp = $plxMotor->parseArticle(PLX_ROOT.$plxMotor->aConf['racine_articles'].$filename);

							if($catId=='000')
								$catName = L_UNCLASSIFIED;
							elseif($catId=='home')
								$catName = L_HOMEPAGE;
							else
								$catName = $plxMotor->aCats[$catId]['name'];

							$art = array(
								'id'		=> $tmp['numero'],
								'category'	=> $catName,
								'url' 		=> $plxMotor->urlRewrite('?article'.intval($tmp['numero']).'/'.$tmp['url']),
								'title' 	=> $tmp['title'],
								'year'		=> substr($tmp['date'], 0,4),
								'date'		=> $tmp['date'],
								'author'	=> $plxMotor->aUsers[$tmp['author']]['name'],
							);
							$array[] = $art;
						}
					}
				}
			}
		}
		if($array) {
			# tri multi-dimentionnel
			foreach ($array as $key => $row) {
				switch ($sortby) {
					case 'by_year':
						$a1[$key] = $row['year'];
						break;
					case 'by_category':
						$a1[$key] = $row['category'];
						break;
					case 'by_author':
						$a1[$key] = $row['author'];
						break;
					case 'by_title':
						$a1[$key] = $row['title'];
						break;
				}
				$a2[$key] = $row['date'];
			}

			array_multisort($a1, ($sortby=='by_year'?SORT_DESC:SORT_ASC), $a2, ($sort=='asc'?SORT_ASC:SORT_DESC), $array);

			# préparation pour l'affichage
			foreach ($array as $key => $row) {
				switch ($sortby) {
					case 'by_year':
						$aArts[$row['year']][$row['id']] = $row;
						break;
					case 'by_category':
						$aArts[$row['category']][$row['id']] = $row;
						break;
					case 'by_author':
						$aArts[$row['author']][$row['id']] = $row;
						break;
					case 'by_title':
						$aArts[$row['title']][$row['id']] = $row;
						break;
				}
			}
		}
		
		if($aArts) {
			$out= '<div id="'.$url.'">';
			if($sortby=='by_title') {
				$out.= '<ul class="'.$class.'" >';
				foreach($aArts as $k => $v) {
					$out.=ufs_display_archive($v,$format);
				}
				$out.= '</ul>';
			} else {
				foreach($aArts as $k => $v) {
					$out.= '<p class="p_archive">'.plxUtils::strCheck($k).'</p>';
					$out.= '<ul>';
					$out.=ufs_display_archive($v,$format);
					$out.= '</ul>';
				}
			}
			$out.= '</div>';
		} else {
			$out.= '<p>'.$noarticle.'</p>';
		}
		
		return $out;

	}
	
add_shortcode( 'ufs_archive', 'ufs_archive_func' );

/* ----------------------------PLUXML :: PREV NEXT---------------------------------*/

function ufs_prevnext_func( $atts ) {
	
	extract( shortcode_atts( array(
   
    'mode'			=> '1', # 1 or 0
	'formatPrev'		=> '<a href="#prevUrl" title="#prevTitle" rel="prev">&laquo; <span>Article Précédent</span></a>', # 
	'formatNext'			=> '<a href="#nextUrl" title="#nextTitle" rel="next"><span>Article suivant</span> &raquo;</a>', # 
	'sort'		=> 'desc', # critère de tri par date (desc, asc)
	
	), $atts ) );
	
	$mode = (bool)$mode;
	
	global $plxShow;
	$plxShow = plxShow::getInstance();
	
	$plxMotor = plxMotor::getInstance();
	$plxGlob_arts = clone $plxMotor->plxGlob_arts;
	
	//$ordre = preg_match('/asc/',$plxMotor->tri)?'sort':'rsort';
	$links = '';
	
	
	if($mode AND $plxShow->catId()!= "home") { // Des articles parmi les articles d'une catégorie
		$ID_CAT = str_pad ($plxShow->catId(), 3, '0', STR_PAD_LEFT);
		//$aFiles = $plxGlob_arts->query('/[0-9]{4}.['.$ID_CAT.']*.[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/','art',$ordre,0,false,'before');
		$aFiles = $plxGlob_arts->query('/^[0-9]{4}.[home|'.$ID_CAT.',]*.[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/','art',$sort,0,false,'before');
	} else { // Des articles parmi tous les articles
		$aFiles = $plxGlob_arts->query('/[0-9]{4}.[home|0-9,]*.[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/','art',$sort,0,false,'before');
	}
	
	$key = array_search(basename($plxShow->plxMotor->plxRecord_arts->f('filename')), $aFiles);
	$prevUrl = $prev = isset($aFiles[$key-1])? $aFiles[$key-1] : false;
	$nextUrl = $next = isset($aFiles[$key+1])? $aFiles[$key+1] : false;

	$plxGlob_arts = clone $plxShow->plxMotor->plxGlob_arts;

		if($prev AND preg_match('/([0-9]{4}).[home|0-9,]*.[0-9]{3}.[0-9]{12}.([a-z0-9-]+).xml$/',$prev,$capture))
			$prevUrl=$plxShow->plxMotor->urlRewrite('?article'.intval($capture[1]).'/'.$capture[2]);
			if ($prev){
				$art = $plxShow->plxMotor->parseArticle(PLX_ROOT.$plxShow->plxMotor->aConf['racine_articles'].$prev);
				$nextTitle = STRIP_TAGS($art['title']);
			}
		if($next AND preg_match('/([0-9]{4}).[home|0-9,]*.[0-9]{3}.[0-9]{12}.([a-z0-9-]+).xml$/',$next,$capture))
			$nextUrl=$plxShow->plxMotor->urlRewrite('?article'.intval($capture[1]).'/'.$capture[2]);
			if ($next) {
				$art = $plxShow->plxMotor->parseArticle(PLX_ROOT.$plxShow->plxMotor->aConf['racine_articles'].$next);
				$prevTitle = STRIP_TAGS($art['title']);
			}
		if($ordre=='rsort') { 
			$dummy=$prevUrl; $prevUrl=$nextUrl; $nextUrl=$dummy; 
		}
		
		if($prevUrl) {
			$links = str_replace('#prevUrl', $prevUrl, $formatPrev);
			$links = str_replace('#prevTitle', $prevTitle, $links);
			
			//$links = str_replace('#prevImg', $prevImg, $links);
		}
		if($nextUrl) {
			$links .= str_replace('#nextUrl', $nextUrl, $formatNext);
			$links = str_replace('#nextTitle', $nextTitle, $links);
			
		}
		return $links;
}

add_shortcode('ufs_prevnext', 'ufs_prevnext_func');



/* ----------------------------FACEBOOK---------------------------------*/

function ufs_facebook_comment_func($atts, $content = null) {
	# https://developers.facebook.com/docs/plugins/comments/
	
	extract( shortcode_atts( array(
    // if you don't provide an e-mail address, the shortcode will pick the e-mail address of the admin:
    'width'			=> '100%', # width of the plugin
	'numposts'		=> '10', # nb posts
	'colorscheme'	=> 'light'
	
	), $atts ) );
	
	$actual_link = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
	$s='';
		$s.= '
		
		<div id="fb-root"></div>
				<script>(function(d, s, id) {
				  var js, fjs = d.getElementsByTagName(s)[0];
				  if (d.getElementById(id)) return;
				  js = d.createElement(s); js.id = id;
				  js.src = "//connect.facebook.net/fr_FR/sdk.js#xfbml=1&version=v2.0";
				  fjs.parentNode.insertBefore(js, fjs);
				}(document, "script", "facebook-jssdk"));</script>



				<div class="fb-comments" data-href="'.$actual_link.'" data-width="'.$width.'" data-numposts="'.$numposts.'" data-colorscheme="'.$colorscheme.'"></div>
		';

	
	return $s;
		
}
add_shortcode('ufs_facebook_comment', 'ufs_facebook_comment_func');

/* ----------------------------GOOGLE ADSENSE---------------------------------*/

function ufs_google_adsense_func($atts, $content = null) {
	extract( shortcode_atts( array(
   
    'client'		=> '', 
	'slot'		=> '', 
	'format'	=> 'auto'
	
	), $atts ) );	
		
		$s='';
		$s.= '
		<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
		<!-- Annonce -->
		<ins class="adsbygoogle"
			 style="display:block"
			 data-ad-client="'.$client.'"
			 data-ad-slot="'.$slot.'"
			 data-ad-format="'.$format.'"></ins>
		<script>
		(adsbygoogle = window.adsbygoogle || []).push({});
		</script>';


	return $s;
		
}
add_shortcode('ufs_google_adsense', 'ufs_google_adsense_func');	

/* ----------------------------DISPLAY PDF---------------------------------*/

function ufs_display_pdf_func($attr, $content) {
	extract( shortcode_atts( array(
   
    'width'		=> '100%', 
	'height'	=> '500px' 
	
	
	), $atts ) );	
	
	/*
	if ($attr['href']) {
        return '<a class="pdf" href="http://docs.google.com/viewer?url=' . $attr['href'] . '&embedded=true" style="width:' .$width. '; height:' .$height. ';" frameborder="0">'.$content.'</a>';
    } else {
        $src = str_replace("=", "", $attr[0]);
        return '<a class="pdf" href="http://docs.google.com/viewer?url=' . $src . '&embedded=true" style="width:' .$width. '; height:' .$height. ';" frameborder="0">'.$content.'</a>';
    }*/
	
   return '<iframe src="http://docs.google.com/viewer?url=' . $content . '&embedded=true" style="width:' .$width. '; height:' .$height. ';" frameborder="0">Your browser should support iFrame to view this PDF document</iframe>';
}

add_shortcode('ufs_display_pdf', 'ufs_display_pdf_func');





/* ----------------------------QRCODE---------------------------------*/

/* Shortcode  function */
  function ufs_qrcode_func($atts) {
    extract(shortcode_atts(array(
		'content' => '',
		'alt' => 'Scan the QR Code',
		'size' => '300',
		'align' => '',
		'class' => '',

    ), $atts));

    $current_uri = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] . '';

    if (empty($content) && $content !== 0) {
        $content = urlencode($current_uri);
    } else {
        $content = urlencode(strip_tags(trim($content)));
    }
	
	$alt = strip_tags(trim($alt));
	$size = strip_tags(trim($size));
	$align = strip_tags(trim($align));
	$class = strip_tags(trim($class));
	
    if ($align == "right") {
        $align = ' float:right';
    }else if ($align == "left") {
        $align = ' float:left';
    } else {
		$align = '';	
	}
	
	if ($class != "") {
        $class = ' class="' . $class . '"';
    }
	
	$output = "";
	$preoutput = '<div style="text-align:center;width:' . $size . 'px;'.$align.'">';
    $image = 'https://chart.googleapis.com/chart?chs=' . $size . 'x' . $size . '&cht=qr&chld=H|1&chl=' . $content;
	
    $output = $preoutput . '<img src="' . $image . '" alt="' . $alt . '" width="' . $size . '" height="' . $size . '"' . $align . $class . ' /></div>';
    
    return $output ;
  }
  
add_shortcode('ufs_qrcode', 'ufs_qrcode_func');

/* ----------------------------SOCIAL BUTTON---------------------------------*/

function ufs_socialNetwork_func($atts) {
	extract(shortcode_atts(array(
		'label'  => '',
		'display'  => 'df',
		'xclass'  => '',
		'social' => 'twitter|facebook|googleplus|linkedin|diaspora|reddit|stumbleupon|tumblr|delicious|pocket|mail',
		
		'twitter_url'		=> 'https://twitter.com/share?url={$url}&text={$title}',
		'twitter_desc'		=> 'Partager sur twitter',
		'twitter_class'		=> 'twitter',
		
		'facebook_url'		=> 'https://www.facebook.com/sharer/sharer.php?u={$url}&t={$title}',
		'facebook_desc'		=> 'Partager sur Facebook',
		'facebook_class'		=> 'facebook',
		
		'googleplus_url'		=> 'https://plus.google.com/share?url={$url}',
		'googleplus_desc'		=> 'Partager sur Google+',
		'googleplus_class'		=> 'google-plus',
		
		'linkedin_url'		=> 'https://www.linkedin.com/shareArticle?mini=true&url={$url}&title={$title}',
		'linkedin_desc'		=> 'Partager sur Linkedin',
		'linkedin_class'		=> 'linkedin',
		
		'diaspora_url'		=> 'https://share.diasporafoundation.org/?title={$title}&url={$url}',
		'diaspora_desc'		=> 'Partager sur Diaspora',
		'diaspora_class'		=> 'diaspora',
		
		'reddit_url'		=> 'http://www.reddit.com/submit?url={$url}&title={$title}',
		'reddit_desc'		=> 'Partager sur Reddit',
		'reddit_class'		=> 'reddit',
		
		'stumbleupon_url'		=> 'http://www.stumbleupon.com/submit?url={$url}&title={$title}',
		'stumbleupon_desc'		=> 'Partager sur Stumbleupon',
		'stumbleupon_class'		=> 'stumbleupon',
		
		'tumblr_url'		=> 'http://www.tumblr.com/share?v=3&u={$url}&t={$title}',
		'tumblr_desc'		=> 'Partager sur Tumblr',
		'tumblr_class'		=> 'tumblr',
		
		'delicious_url'		=> 'https://delicious.com/save?v=5?url={$url}&title={$title}',
		'delicious_desc'	=> 'Partager sur Delicious',
		'delicious_class'	=> 'delicious',
		
		'pocket_url'		=> 'https://getpocket.com/save?url={$url}&title={$title}',
		'pocket_desc'		=> 'Partager sur Pocket',
		'pocket_class'		=> 'pocket',
		
		'mail_url'		=> 'mailto:?subject={$title}&body={$title}: {$url}',
		'mail_desc'		=> 'Partager par courriel',
		'mail_class'		=> 'courriel',
		
		
		
		
		

    ), $atts));
	
		$datasocial = array();
		
		
		
		
	
		$plxShow = plxShow::getInstance(); // permet l'utilisation de plxShow
		$onclick = "onclick=\"javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes');return false;\"";
	
		$url="";
		$title="";
		
		// Test article ?? page statique
		if($plxShow->mode()=='article'){
				/* Récupération de l'URL */
				$url = "?article".$plxShow->artId();
				$url = $plxShow->plxMotor->urlRewrite($url);
        		$url = rawurlencode($url);
            
				/* Gestion du titre */
				ob_start(); //Start output buffer
				$plxShow->artTitle();
				$title = ob_get_contents();
				ob_end_clean(); //Discard output buffer
				$title = rawurlencode($title);
				
				
		}else if($plxShow->mode()=='static'){				
				/* Récupération de l'URL */
				$url = "?static".$plxShow->staticId();
				$url = $plxShow->plxMotor->urlRewrite($url);
		        $url = rawurlencode($url);
		        	
				/* Gestion du titre */
				ob_start(); //Start output buffer
				$plxShow->staticTitle();
				$title = ob_get_contents();
				ob_end_clean(); //Discard output buffer
				$title = rawurlencode($title);				
				
				
		}					

		/* Remplacement du motif {$url} et {$title} par l'URL et le titre de l'article */
		$pattern = array("{\$url}","{\$title}");
		$urlTitle   = array($url, $title);

 
		$out = "<div class=\"ufs-social-network ufs-social-network-".$display."\">";
		if ($label!="")
			$out .= "<span class=\"ufs-share\">". $label ."</span>";
		
		$out .= "<ul class=\"ufs-social-network-ul\">";
		
		$asocial = explode ("|",$social);
		
		foreach($asocial as $k => $v) {
			$socialurl = ${$v."_url"};
			$socialdesc = ${$v."_desc"};
			$socialclass = ${$v."_class"};
			if ($display=="fa2") $socialclass.=" ".$xclass." ";
			
			$out .= "<li><a  title=\"".$socialdesc."\"  class=\"ufs-social-network-li ".$socialclass."\" href=\"".str_replace($pattern, $urlTitle, $socialurl)."\" {$onclick} target=\"_blank\" rel=\"nofollow\" ><span class=\"social-network-description\">".$socialdesc."</span></a></li>";
		}
		
						
		$out .= "</ul></div>";	

		return $out;
	}
	
add_shortcode('ufs_socialNetwork', 'ufs_socialNetwork_func');


function ufs_twitter_share_button( $atts, $content=null ){
/* Author: Nicholas P. Iler
 * URL: http://www.ilertech.com/2011/07/add-twitter-share-button-to-wordpress-3-0-with-a-simple-shortcode/
 
 https://about.twitter.com/fr/resources/buttons#tweet
 
 <a href="https://twitter.com/share" 
class="twitter-share-button" 
data-url="http://google.fr" 
data-text="title" 
data-size="large">
Tweet
</a> 
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>
 
 
 
 
 
 */
  
  
    extract(shortcode_atts(array(
        'url' => null,
        'counturl' => null,
        'via' => '',
        'text' => '',
        'related' => '',
        'countbox' => 'none', // none, horizontal, vertical
  
    ), $atts));
  
    // Check for count url and set to $url if not provided
    if($counturl == null) $counturl = $url;
  
    $twitter_code = '<script src="http://platform.twitter.com/widgets.js" type="text/javascript"></script>
	<a class="twitter-share-button" href="http://twitter.com/share"></a>
	
	
	';
  
    return $twitter_code;
  
}
add_shortcode('twitter_share_button', 'ufs_twitter_share_button');



/* ----------------------------BUTTON---------------------------------*/
/*--------------------------------------------------------------------------------------
    * bootstrap-3-shortcodes
    * bs_button
    *
    * @author Filip Stefansson, Nicolas Jonas
    * @since 1.0
    * //DW mod added xclass var
    *-------------------------------------------------------------------------------------*/
  function ufs_button_func( $atts, $content = null ) {
	
    $atts = shortcode_atts( array(
      "type"     => false,
	  "display"  => false,
	  "icon"  		=> false,
      "size"     => false,
      "block"    => false,
      "dropdown" => false,
      "link"     => '',
      "target"   => false,
      "disabled" => false,
      "active"   => false,
      "xclass"   => false,
      "title"    => false,
      "data"     => false
	), $atts );

    $class  = 'ufs-btn';
    $class .= ( $atts['type'] )     ? ' ufs-btn-' . $atts['type'] : ' ufs-btn-default';
	$class .= ( $atts['display'] )     ? ' ufs-btn-' . $atts['display'] : ' ';
    $class .= ( $atts['size'] )     ? ' ufs-btn-' . $atts['size'] : '';
    $class .= ( $atts['block'] == 'true' )    ? ' ufs-btn-block' : '';
    $class .= ( $atts['dropdown']   == 'true' ) ? ' ufs-dropdown-toggle' : '';
    $class .= ( $atts['disabled']   == 'true' ) ? ' ufs-disabled' : '';
    $class .= ( $atts['active']     == 'true' )   ? ' ufs-active' : '';
    $class .= ( $atts['xclass'] )   ? ' ' . $atts['xclass'] : '';
    
    $data_props = ufs_parse_data_attributes( $atts['data'] );
	
	if ($atts['icon']) $content = '<i class="fa fa-'.$atts['icon'].'"></i> '.$content;
	
	# create the possibility to have function in url
	$achecklink = explode ("|", $atts['link'] );
	if (count ($achecklink)>0) {
		switch ($achecklink[0]) {
			case "ufs_staticUrl":
				$atts['link'] = ufs_staticUrl_func ( array ("id"=>$achecklink[1]));
				break;
			}
	}
	
	
    return sprintf( 
      '<a href="%s" class="%s"%s%s%s>%s</a>',
     $atts['link'] ,
       $class ,
      ( $atts['target'] )     ? sprintf( ' target="%s"',  $atts['target']  ) : '',
      ( $atts['title'] )      ? sprintf( ' title="%s"',   $atts['title']  )  : '',
      ( $data_props ) ? ' ' . $data_props : '',
      
		do_shortcode( $content )
    );
	
	/*
	return sprintf( 
      '<a href="%s" class="%s"%s%s%s>%s</a>',
      esc_url( $atts['link'] ),
      esc_attr( $class ),
      ( $atts['target'] )     ? sprintf( ' target="%s"', esc_attr( $atts['target'] ) ) : '',
      ( $atts['title'] )      ? sprintf( ' title="%s"',  esc_attr( $atts['title'] ) )  : '',
      ( $data_props ) ? ' ' . $data_props : '',
      do_shortcode( $content )
    );
	*/

  }
  
  add_shortcode('ufs_button', 'ufs_button_func');

  /*--------------------------------------------------------------------------------------
    *
    * bs_button_group
    *
    * @author M. W. Delaney
    *
    *-------------------------------------------------------------------------------------*/
  function ufs_button_group_func( $atts, $content = null ) {
      
    $atts = shortcode_atts( array(
        "size"      => false,
        "vertical"  => false,
        "justified" => false,
        "dropup"    => false,
        "xclass"    => false,
        "data"      => false
	), $atts );
      
    $class  = 'btn-group';
    $class .= ( $atts['size'] )         ? ' btn-group-' . $atts['size'] : '';
    $class .= ( $atts['vertical']   == 'true' )     ? ' btn-group-vertical' : '';
    $class .= ( $atts['justified']  == 'true' )    ? ' btn-group-justified' : '';
    $class .= ( $atts['dropup']     == 'true' )       ? ' dropup' : '';
    $class .= ( $atts['xclass'] )       ? ' ' . $atts['xclass'] : '';
    
    $data_props = ufs_parse_data_attributes( $atts['data'] );
      
    return sprintf( 
      '<div class="%s"%s>%s</div>',
      esc_attr( $class ),
      ( $data_props ) ? ' ' . $data_props : '',
      do_shortcode( $content )
    );
  }
  
  add_shortcode('ufs_button_group_', 'ufs_button_group_func');
  
  
 function ufs_youtube_func( $atts, $content = null ) { 
	$atts = shortcode_atts( array(
        "id"      => 'oNBBijn4JuY',
        "wmode"  => 'opaque',
	), $atts );
	
	$out='';
	$out.='<div class="ufs-embed-responsive ufs-embed-responsive-16by9">';
			$out.='<iframe frameborder="0" allowfullscreen="" src="http://www.youtube.com/embed/'.$id.'?showinfo=0&amp;wmode='.$wmode.'"></iframe>';
	$out.='</div>';
	return $out;

 }
 
add_shortcode('ufs_youtube', 'ufs_youtube_func');
  

function ufs_numberOfHit( $name, $folder_stat='../spx/stat/' ) {
        $file = $folder_stat . $name . '.txt' ; // nom du fichier de statistiques contenant le nombre de hits
      
		if ( file_exists( $file ) ) {
            $FileContent = fopen( $file , 'r' ); // ouverture du fichier
            $hit = fgets( $FileContent ); // récupération de la valeur
            fclose( $FileContent ); // fermeture du fichier    
            return $hit; // retour de la valeur de $hit
        }else {
            touch( $file ); // création du fichier   
            $FileContent = fopen( $file  , 'r+' ); // ouverture du fichier
			fseek( $FileContent, 0 ); // réinitialisation du curseur
            fputs( $FileContent, 0 ); // écriture dans le fichier   
            fclose( $FileContent ); // fermeture du fichier
        }
}
  
function ufs_downloadbtn_func($atts, $content = null) {
	extract(shortcode_atts(array(
		'name' => '',
		'class' => '',
		'folder_stat' => '../../../../spx/stat/',
		'hit_php' => '../../../../spx/hitcounter.php?file=',
 	), $atts));
	# number of total hit
	$atotal_name = explode(".", $name);
	$total_name = $atotal_name[0]; // name without version
	$numoftotalhit = ufs_numberOfHit( $total_name, $folder_stat );
	$numofhit = ufs_numberOfHit( $name, $folder_stat );
	$downloadurl = $hit_php.$name;
	return '<a class="'.$class.'" href="'.$downloadurl.'" target="_blank">Télécharger '.$name.' (hits '.$numoftotalhit.' - v. hits : '.$numofhit.')</a>';
	
}

add_shortcode('ufs_downloadbtn', 'ufs_downloadbtn_func');


?>