<?php

class spxusefulshortcodes extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut utilisée par PluXml
	 * @return	null
	 * @authors	je-evrard
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		# add shorcode
		$this->setParam('spxshortcodes_shortcode', '1', 'string');

		# droits pour accéder à la page config.php du plugin
		$this->initconfiguration();
		$this->setConfigProfil(PROFIL_ADMIN);
		
		# Déclarations des hooks
		if(!defined('PLX_ADMIN')) {
			$this->addHook('ThemeEndHead', 'ThemeEndHead');
		}

	}
	
	/**
	 * Méthode qui initialise les variables
	 *
	 * @author	JE-EVRARD
	 **/
	public function initconfiguration() {
		# VARIOUS PARAMS
		$this->setParam('spxshortcodes_shortcode', '1', 'string');
		if (plxUtils::strCheck($this->getParam('addfontawesome-css'))=="") $this->setParam('addfontawesome-css','1','string');
		
	}
	
	/**
	 * Méthode qui ajoute les déclarations pour la coloration syntaxique dans la partie <head>
	 *
	 * @return	stdio
	 * @author	JE-EVRARD
	 **/
	public function ThemeEndHead() {
		if ($this->getParam('addfontawesome-css')=="1"){
			echo '
			<link href="'.PLX_PLUGINS.'spxusefulshortcodes/css/font-awesome.min.css" rel="stylesheet" />
			';
		}

	}
	
	

}
?>
